Bug 7024 - Printer driver automatic delivery to windows xp sp3 fails
Printer driver automatic delivery to windows xp sp3 fails
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: Printing
3.4.0
x64 Linux
: P3 normal
: ---
Assigned To: Guenther Deschner
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-07 05:25 UTC by Martijn Berger
Modified: 2010-01-13 05:30 UTC (History)
1 user (show)

See Also:


Attachments
Packet capture (14.22 KB, application/x-gzip)
2010-01-07 05:25 UTC, Martijn Berger
no flags Details
smb.conf (251 bytes, application/x-gzip)
2010-01-07 05:26 UTC, Martijn Berger
no flags Details
log.smbd (189.08 KB, application/x-gzip)
2010-01-07 05:27 UTC, Martijn Berger
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martijn Berger 2010-01-07 05:25:33 UTC
We run identical setups with ubuntu 9.04 (samba 3.3.2) and ubuntu 9.10 (samba 3.4.0). The problem only appeared with 3.4 (ubuntu 9.10 karmic)

When trying to connect to a printer from a windows xp workstation, a popup appears that the drivers are not installed correctly on the server. clicking ok finds the drivers just fine (from the server).

We used wireshark on the workstation to find the problem.
Wireshark reports "SPOOLSS	GetPrinter response, level 2[Malformed Packet]" and it does not do this with 3.3.2 and identical printer drivers, service pack for the clients and other config.
Comment 1 Martijn Berger 2010-01-07 05:25:57 UTC
Created attachment 5146 [details]
Packet capture
Comment 2 Martijn Berger 2010-01-07 05:26:34 UTC
Created attachment 5147 [details]
smb.conf
Comment 3 Martijn Berger 2010-01-07 05:27:02 UTC
Created attachment 5148 [details]
log.smbd

with log level = 10
Comment 4 Frank Groeneveld 2010-01-07 05:36:30 UTC
This happens with 3.4.3-1ubuntu1~karmic~pgquiles1 also (from the following ppa):
https://launchpad.net/~pgquiles/+archive/ppa
Comment 5 Guenther Deschner 2010-01-07 05:40:05 UTC
Ok, 3.4.4 should revolve this. I know, 3.4.4 has just been released but as soon as people can get their hand on it, can you please test with that release ?
Comment 6 Martijn Berger 2010-01-07 08:07:54 UTC
(In reply to comment #5)
> Ok, 3.4.4 should revolve this. I know, 3.4.4 has just been released but as soon
> as people can get their hand on it, can you please test with that release ?
> 

compiled 3.4.4 and it does not seem to fix this.

Also 3.4.4 refuses to create a folder named '3' in W32X86 for some reason.

windows dumps the drivers in W32X86 for some reason the complains that the driver it just tried to add is not for this version of windows 
Comment 7 Guenther Deschner 2010-01-07 18:44:07 UTC
(In reply to comment #6)
> compiled 3.4.4 and it does not seem to fix this.
> 
> Also 3.4.4 refuses to create a folder named '3' in W32X86 for some reason.
> 
> windows dumps the drivers in W32X86 for some reason the complains that the
> driver it just tried to add is not for this version of windows

Sure, Windows clients are supposed to upload drivers to the architecture directory (W32X86 in that case), it is the job of the server to move them into their appropriate '3' directory.

Can you please upload a log level 10 log.smbd from a client that fails to upload the drivers ?
Comment 8 Martijn Berger 2010-01-12 06:52:16 UTC
(In reply to comment #7)
> 
> Sure, Windows clients are supposed to upload drivers to the architecture
> directory (W32X86 in that case), it is the job of the server to move them into
> their appropriate '3' directory.
> 
> Can you please upload a log level 10 log.smbd from a client that fails to
> upload the drivers ?
> 

My bad. It does not have the problem when not installed in a weird prefix.
And 3.4.4 seems to do the job on the original issue



Comment 9 Guenther Deschner 2010-01-13 05:02:08 UTC
Martijn, so we can close this bug as fixed with 3.4.4 ?
Comment 10 Martijn Berger 2010-01-13 05:04:57 UTC
(In reply to comment #9)
> Martijn, so we can close this bug as fixed with 3.4.4 ?
> 

Yes it fixes the problem reported but i have only tested it with windows xp.
Also wireshark does not report malformed packets.

And the "Also 3.4.4 refuses to create a folder named '3' in W32X86 for some reason." was due to a wrong configuration on my part.

I build a deb with 3.4.4 and no patches (used lucid definitions) and that did fix my problem.


Comment 11 Guenther Deschner 2010-01-13 05:30:32 UTC
great, thanks for checking.